[SciPy-user] -lf77compat failure - SciPy on AMD64 Sun Studio

Robert Kern robert.kern@gmail....
Tue Jul 15 15:19:28 CDT 2008


On Tue, Jul 15, 2008 at 15:13, Phil Forrest <forrest@physics.auburn.edu> wrote:
> Robert Kern wrote:
>
>>> Yup. We can do a version check. For >= 8.3, we don't put in f77compat.
>>> Can you and Phil check that if you modify that line of code in sun.py
>>> to omit f77compat on your Sun Fortran 95 8.3 boxes, that it works?
>>> (Ugh, that sentence got away from me, but too late now!)
>
> Hey Guys,
>
> I did not have any success on a Sun Studio 12 (8.3) scipy build with
> f77compat removed from the sun.py in the numpy tree. The numpy build went
> fine (I cleaned the tree, downloaded the source, built via 'python setup.py
> install')
>
> I didn't want to flood this list with compile error messages, so please let
> me know if someone would like me to send out the build failure output for
> scipy.

You can send it to me in private email.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless
enigma that is made terrible by our own mad attempt to interpret it as
though it had an underlying truth."
 -- Umberto Eco


More information about the SciPy-user mailing list